GET V1/Payments.{ext}/PaymentFileConfirmations?pfId={pfId}&type={type}

Gets Payment File Confirmation Details
Mandatory Fields: pfId.
Optional Fields: type. (Possible Values For Type : ACH, CHECK)

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pfId

System Generated Payment File Id

integer

Required

type

Type

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Payments.Entities.PaymentFileAckAndConfirmationDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.PaymentFileAckAndConfirmationDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "PaymentFileAckAndConfirmationDetails",
  "response": {
    "paymentFileAckAndConfirmationDetailList": [
      {
        "status": "sample string 1",
        "prcDate": "sample string 2",
        "pfType": "sample string 3",
        "pfName": "sample string 4",
        "pfId": 1,
        "pfFileName": "sample string 5",
        "pfFileId": 1,
        "pfDate": "sample string 6",
        "pfCount": 7,
        "pfFileIFDR": 1,
        "fileTransactionTotal": 8.0,
        "fileTransactionCount": 9,
        "fileRejectTotal": 10.0,
        "fileRejectCount": 11,
        "fileAcceptTotal": 12.0,
        "fileAcceptCount": 13,
        "createdUser": "sample string 14",
        "createdDate": "sample string 15"
      },
      {
        "status": "sample string 1",
        "prcDate": "sample string 2",
        "pfType": "sample string 3",
        "pfName": "sample string 4",
        "pfId": 1,
        "pfFileName": "sample string 5",
        "pfFileId": 1,
        "pfDate": "sample string 6",
        "pfCount": 7,
        "pfFileIFDR": 1,
        "fileTransactionTotal": 8.0,
        "fileTransactionCount": 9,
        "fileRejectTotal": 10.0,
        "fileRejectCount": 11,
        "fileAcceptTotal": 12.0,
        "fileAcceptCount": 13,
        "createdUser": "sample string 14",
        "createdDate": "sample string 15"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.